CVE-2019-16239

NameCVE-2019-16239
Descriptionprocess_http_response in OpenConnect before 8.05 has a Buffer Overflow when a malicious server uses HTTP chunked encoding with crafted chunk sizes.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1945-1
NVD severityhigh
Debian Bugs940871

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openconnect (PTS)jessie6.00-2vulnerable
jessie (security)6.00-2+deb8u1fixed
stretch7.08-1vulnerable
bullseye, sid, buster8.02-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openconnectsource(unstable)(unfixed)940871
openconnectsourcejessie6.00-2+deb8u1DLA-1945-1

Notes

http://lists.infradead.org/pipermail/openconnect-devel/2019-September/005412.html
https://github.com/openconnect/openconnect/commit/875f0a65ab73f4fb581ca870fd3a901bd278f8e8

Search for package or bug name: Reporting problems